package com.sf.day05.practice;

/**
 * 如果当前类中没有构造器   在创建对象的时候  系统给我们自动生成一个无参构造器
 * 但是当前类中存在有参构造器  那么系统将不会给我们提供一个无参构造器；
 */
public class Mouse1 {
    private String name;
    private Integer id;

    public Mouse1() {
    }

    public Mouse1(String name, Integer id) {
        this.name = name;
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    @Override
    public String toString() {
        return "Mouse1{" +
                "name='" + name + '\'' +
                ", id=" + id +
                '}';
    }

    public void playHole(){
        System.out.println("老鼠正在打洞");
    }

    public void eat(){
        System.out.println("小动物正在吃饭");
    }

    public void sleep(){
        System.out.println("小动物正在休息");
    }

    public void showMySelfInfoP(){
        System.out.println("我是id为"+id+"号，名字为"+name+"的可爱小动物！！！");
    }
}
